<?php
/**
 * @file
 * Creating the $info array for the color module.
 * Commerce Color Definitions
 */

$info = array(
  'fields' => array(
    'body'          => t('Body Background'),
    'headertop'     => t('Header Top'),
    'headerbottom'  => t('Header Bottom'),
    'headertext'    => t('Header Text'),
    'navbartop'     => t('Navbar Top'),
    'navbarbottom'  => t('Navbar Bottom'),
    'navbartext'    => t('Navbar Text'),
    'navbarhover'   => t('Navbar Hover'),
    'navbarhover2'  => t('Navbar Hover Shade'),
    'navbarhovertext' => t('Navbar Hover Text'),
    'secondary'     => t('Secondary Bar'),
    'secondarytext' => t('Secondary Text'),
    'secondaryhover' => t('Secondary Hover'),
    'mainbackground' => t('Content Background'),
    'maintext'      => t('Content Text'),
    'links'         => t('Links'),
    'linkshover'    => t('Links Hover'),
    'atctop'        => t('Add To Cart Top'),
    'atcbottom'     => t('Add To Cart Bottom'),
    'footer'        => t('Footer Background'),
    'footertext'    => t('Footer Text'),
    'footerlinks'   => t('Footer Links'),
    'footerhover'   => t('Footer Hover'),
  ),
  'schemes' => array(
    'default' => array(
      'title' => t('Drupal Commerce (default)'),
      'colors' => array(
        'body'          => '#cccccc',
        'headertop'     => '#414042',
        'headerbottom'  => '#414043',
        'headertext'    => '#ffffff',
        'navbartop'     => '#414044',
        'navbarbottom'  => '#000000',
        'navbartext'    => '#efefef',
        'navbarhover'   => '#2aace2',
        'navbarhover2'  => '#44c8f5',
        'navbarhovertext' => '#333333',
        'secondary'     => '#6d6e71',
        'secondarytext' => '#fcfcfc',
        'secondaryhover' => '#2aace3',
        'mainbackground' => '#eeeeee',
        'maintext'      => '#414045',
        'links'         => '#2aace4',
        'linkshover'    => '#3366cc',
        'atctop'        => '#ffff00',
        'atcbottom'     => '#ffcc00',
        'footer'        => '#414041',
        'footertext'    => '#e7e7e7',
        'footerlinks'   => '#2aace5',
        'footerhover'   => '#3366cd',
      ),
    ),
    'scheme_dark' => array(
      'title' => t('Drupal Commerce Dark'),
      'colors' => array(
        'body'          => '#666666',
        'headertop'     => '#414042',
        'headerbottom'  => '#000000',
        'headertext'    => '#2aace2',
        'navbartop'     => '#414042',
        'navbarbottom'  => '#000000',
        'navbartext'    => '#efefef',
        'navbarhover'   => '#187da7',
        'navbarhover2'  => '#44c8f5',
        'navbarhovertext' => '#ffffff',
        'secondary'     => '#414042',
        'secondarytext' => '#ffffff',
        'secondaryhover' => '#2AACE2',
        'mainbackground' => '#c7c7c7',
        'maintext'      => '#111111',
        'links'         => '#1e5b92',
        'linkshover'    => '#64a7d5',
        'atctop'        => '#ffff00',
        'atcbottom'     => '#ffcc00',
        'footer'        => '#292929',
        'footertext'    => '#e7e7e7',
        'footerlinks'   => '#1e5b93',
        'footerhover'   => '#64a7d6',
      ),
    ),
    'scheme_light' => array(
      'title' => t('Drupal Commerce Light'),
      'colors' => array(
        'body'          => '#eeeeee',
        'headertop'     => '#ffffff',
        'headerbottom'  => '#eeeeee',
        'headertext'    => '#414042',
        'navbartop'     => '#eeeeee',
        'navbarbottom'  => '#cccccc',
        'navbartext'    => '#333333',
        'navbarhover'   => '#2aace2',
        'navbarhover2'  => '#44c8f5',
        'navbarhovertext' => '#ffffff',
        'secondary'     => '#eeeeee',
        'secondarytext' => '#333333',
        'secondaryhover' => '#2aace2',
        'mainbackground' => '#ffffff',
        'maintext'      => '#414042',
        'links'         => '#2AACE2',
        'linkshover'    => '#44c8f5',
        'atctop'        => '#ffff00',
        'atcbottom'     => '#ffcc00',
        'footer'        => '#eeeeee',
        'footertext'    => '#333333',
        'footerlinks'   => '#2AACE2',
        'footerhover'   => '#44c8f5',
      ),
    ),
    'scheme_slate' => array(
      'title' => t('Drupal Slate'),
      'colors' => array(
        'body'          => '#292929',
        'headertop'     => '#64a7d4',
        'headerbottom'  => '#1e5b91',
        'headertext'    => '#ffffff',
        'navbartop'     => '#eeeeee',
        'navbarbottom'  => '#cccccc',
        'navbartext'    => '#333333',
        'navbarhover'   => '#bcd6f0',
        'navbarhover2'  => '#bcd6f0',
        'navbarhovertext' => '#333333',
        'secondary'     => '#c7c7c7',
        'secondarytext' => '#ffffff',
        'secondaryhover' => '#64a7d4',
        'mainbackground' => '#f5f5f5',
        'maintext'      => '#111111',
        'links'         => '#1e5b92',
        'linkshover'    => '#64a7d5',
        'atctop'        => '#ffff00',
        'atcbottom'     => '#ffcc00',
        'footer'        => '#292929',
        'footertext'    => '#e7e7e7',
        'footerlinks'   => '#1e5b93',
        'footerhover'   => '#64a7d6',
      ),
    ),
  ),
  'css' => array(
    'css/colors.css',
  ),
  'copy' => array(
    'logo.png',
  ),
  'gradients' => array(
    array(
      'dimension' => array(0, 0, 0, 0),
      'direction' => 'vertical',
      'colors' => array('top', 'bottom'),
    ),
  ),
  'fill' => array(),
  'slices' => array(),
  'blend_target' => '#ffffff',
  'preview_image' => 'color/color-preview.png',
  'preview_css' => 'color/preview.css',
  'base_image' => 'color/base.png',
);
